# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
BuildRequires: python-modules
Name:           openmsx
Version:        0.9.0
Release:        alt1_4
Summary:        An emulator for the MSX home computer system
Group:          Emulators
License:        GPL+
URL:            http://openmsx.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         openmsx-0.6.1-installbase.patch
BuildRequires:  desktop-file-utils
BuildRequires:  docbook-utils
BuildRequires:  libglew-devel >= 1.3.2
BuildRequires:  libjack-devel
BuildRequires:  libpng-devel
BuildRequires:  libxml2-devel
BuildRequires:  libSDL_image-devel libSDL_ttf-devel libfreetype-devel
BuildRequires:  tcl-devel >= 8.4.0
BuildRequires:  zlib-devel
Requires:       cbios-%{name}
Requires:       icon-theme-hicolor
Source44: import.info

%description
openMSX is an emulator for the MSX home computer system. Its goal is to emulate
all aspects of the MSX with 100% accuracy.


%prep
%setup -q
%patch0 -p1

# Verbose compilation
sed -i 's/@$(COMPILE_ENV)/$(COMPILE_ENV)/' build/main.mk

# Correct some permissions
chmod 0644 share/extensions/{rs232,gfx9000,debugdevice}/hardwareconfig.xml

# Make the custom flavour module, so we can use RPM OPT FLAGS here
cat > build/flavour-rpm.mk << EOF
# $Id: flavour-rpm.mk,v 1.1 2006/08/06 06:32:02 mthuurne Exp $
#
# RPM opt flavour:

# Opt flags.
CXXFLAGS+=%{optflags} -DNDEBUG

# Dont strip exe, let rpm do it and save debug info
OPENMSX_STRIP:=false
EOF

# Give README's a sensible name
echo 'System ROM Dir: %{_datadir}/%{name}/systemroms' > doc/systemroms-README
cat share/systemroms/README >> doc/systemroms-README
touch -r share/systemroms/README doc/systemroms-README

echo '%{_datadir}/%{name}/machines/Boosted_MSX2_EN' > doc/Boosted_MSX2_EN-README
cat share/machines/Boosted_MSX2_EN/README >> doc/Boosted_MSX2_EN-README
touch -r share/machines/Boosted_MSX2_EN/README doc/Boosted_MSX2_EN-README


%build
%configure
make %{?_smp_mflags} OPENMSX_FLAVOUR=rpm INSTALL_SHARE_DIR=%{_datadir}/%{name}\
     INSTALL_DOC_DIR=%{_docdir}/%{name}-%{version}

# Build desktop icon
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=openMSX
GenericName=An MSX Emulator
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;Emulator;
EOF

# Build the man page
docbook2man doc/openmsx.sgml -o ./


%install
make %{?_smp_mflags} OPENMSX_FLAVOUR=rpm INSTALL_SHARE_DIR=%{_datadir}/%{name}\
     INSTALL_DOC_DIR=%{_docdir}/%{name}-%{version} \
     DESTDIR=$RPM_BUILD_ROOT install

# These files are part of the CBIOS package (were they are build from source)
rm -r $RPM_BUILD_ROOT%{_datadir}/%{name}/machines/C-BIOS_MSX*

# Move some things around
rm $(find $RPM_BUILD_ROOT%{_datadir}/%{name} -name README)
install -m 644 doc/*-README $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/settings.xml \
   $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
ln -s --target-directory=$RPM_BUILD_ROOT%{_datadir}/%{name} \
   ../../../etc/openmsx/settings.xml

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -pm 0644 OPENMSX.1 $RPM_BUILD_ROOT%{_mandir}/man1/openmsx.1

# Install icon set and desktop file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/{16x16,32x32,48x48,64x64,128x128}/apps
for i in 16 32 48 64 128; do
install -pm 0644 share/icons/openMSX-logo-"$i".png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/"$i"x"$i"/apps/%{name}.png
done

desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications \
                     %{name}.desktop


%files
%doc %{_docdir}/%{name}-%{version}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/settings.xml


%changelog
* Fri May 03 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_4
- initial fc import

